From 85116f8e046c38cdd2b7f77de2158f190322dcef Mon Sep 17 00:00:00 2001
From: aschwinn <al.schwinn@gsi.de>
Date: Fri, 5 May 2017 16:38:02 +0200
Subject: [PATCH] exit on build-error, more debug info

---
 jenkins.sh | 31 +++++++++++++++++++++++--------
 1 file changed, 23 insertions(+), 8 deletions(-)

diff --git a/jenkins.sh b/jenkins.sh
index a08590d..b3ca434 100755
--- a/jenkins.sh
+++ b/jenkins.sh
@@ -1,4 +1,9 @@
 #!/bin/sh
+set -e
+
+echo "##############################################"
+echo "configuration of build environment"
+echo "##############################################"
 
 # $WORKSPACE is the jenkins workspace, will be filled by jenkins
 
@@ -6,23 +11,33 @@ export COMMON_MAKE_PATH="$WORKSPACE/../../generics/generic-makefiles"
 export SNAP7_BASE="$WORKSPACE/snap7/snap7-full"
 export BOOST_HOME="$WORKSPACE/../../generics/boost_1.54.0/boost/1.54.0"
 
-##############################################
+echo "##############################################"
+echo "building snap7" 
+echo "##############################################"
 cd snap7
 ./build.sh
 cd ..
-##############################################
+echo "##############################################"
+echo "building silecs-communication-cpp" 
+echo "##############################################"
 cd silecs-communication-cpp
 make clean
 make all CPU=x86_64 -j4 
 cd ..
-##############################################
-cd silecs-codegen
-cd src/xml
-python runTest.py
+echo "##############################################"
+echo "building silecs-codegen" 
+echo "##############################################"
+cd silecs-codegen/src/xml
+python runTests.py
 cd ../../..
-##############################################
+echo "##############################################"
+echo "building silecs-diagnostic-cpp" 
+echo "##############################################"
 cd silecs-diagnostic-cpp
 make clean
 make CPU=x86_64 -j1
 cd ..
-##############################################
+echo "##############################################"
+echo "build finished sucessfully" 
+echo "##############################################"
+
-- 
GitLab